Get a Template
Retrieve a template including its HTML and plaintext content.
Retrieve a template including its HTML and plaintext content.
Scope: templates.read
Path Parameters
template_idintegerrequiredThe ID of the template to retrieve.
Response
idintegeroptionalTemplate ID.
typestringoptionalTemplate type.
template_namestringoptionalTemplate name.
preview_imagestringoptionalPreview image URL.
preview_urlstringoptionalPreview URL.
processedintegeroptionalProcessing state flag.
htmlstringoptionalHTML content of the template.
plaintextstringoptionalPlaintext content of the template.
Sample Response
200 OK
{
"data": {
"id": 789,
"type": "html",
"template_name": "Welcome email",
"preview_image": "",
"preview_url": "",
"processed": 1,
"html": "<h1>Hello {{name}}</h1>",
"plaintext": "Hello {{name}}"
}
}Returns 404 if the template is not found.